Alterar Webhook
curl --request PUT \
--url https://api.spedy.com.br/v1/webhooks/{id} \
--header 'Content-Type: application/json-patch+json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"event": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.spedy.com.br/v1/webhooks/{id}"
payload = {
"event": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({event: '<string>', url: '<string>', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.spedy.com.br/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": "<string>",
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Webhooks
Alterar Webhook
PUT
/
v1
/
webhooks
/
{id}
Alterar Webhook
Authorizations
Authorization By X-Api-Key inside request's header
Path Parameters
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Evento que irá disparar o webhook.
Valores aceitos: invoice.status_changed, invoice.authorized, invoice.rejected, invoice.canceled.
O evento invoice.status_changed cobre qualquer alteração de status da nota e é suficiente para a maioria dos casos.
Maximum string length:
80URL que receberá o HTTP POST com o payload do evento
Maximum string length:
200Response
Success
Evento que irá disparar o webhook.
Valores aceitos: invoice.status_changed, invoice.authorized, invoice.rejected, invoice.canceled.
O evento invoice.status_changed cobre qualquer alteração de status da nota e é suficiente para a maioria dos casos.
Maximum string length:
80URL que receberá o HTTP POST com o payload do evento
Maximum string length:
200⌘I